ck-sources

Description:Con Kolivas' high performance patchset and Gentoo's genpatches for Linux 4.14
License: GPL-2, freedist
Homepage:https://www.kernel.org/ https://www.gentoo.org/ https://dev.gentoo.org/~mpagano/genpatches/ http://users.tpg.com.au/ckolivas/kernel/ http://www.fsfla.org/svn/fsfla/software/linux-libre/releases/tags
Location:Portage
Legend:
  • + - stable
  • ~ - unstable
  • M - hardmask
alpha amd64 arm hppa ia64 m68k mips ppc ppc64 s390 sh sparc x86
4.14.0 diff - ~ - - - - - - - - - - ~
4.13.14 diff - ~ - - - - - - - - - - ~
4.13.13 diff - ~ - - - - - - - - - - ~
4.13.12 diff - ~ - - - - - - - - - - ~
4.13.11 diff - ~ - - - - - - - - - - ~
4.13.10 diff - ~ - - - - - - - - - - ~
4.13.9 diff - ~ - - - - - - - - - - ~
4.13.8 diff - ~ - - - - - - - - - - ~
4.12.14 diff - ~ - - - - - - - - - - ~
4.9.63 diff - ~ - - - - - - - - - - ~
4.9.62 diff - ~ - - - - - - - - - - ~
4.9.61 diff - ~ - - - - - - - - - - ~
4.9.60 diff - ~ - - - - - - - - - - ~
4.9.59 diff - ~ - - - - - - - - - - ~
4.9.58 diff - ~ - - - - - - - - - - ~
4.9.57 diff - ~ - - - - - - - - - - ~
4.9.56 diff - ~ - - - - - - - - - - ~
4.9.55 diff - ~ - - - - - - - - - - ~
4.9.54 diff - ~ - - - - - - - - - - ~
4.9.53 diff - ~ - - - - - - - - - - ~
4.9.52 - ~ - - - - - - - - - - ~

USE flags

  • build - !!internal use only!! DO NOT SET THIS FLAG YOURSELF!, used for creating build images and the first half of bootstrapping [make stage1]
  • deblob - Remove binary blobs from kernel sources to provide libre license compliance.
  • symlink - Force kernel ebuilds to automatically update the /usr/src/linux symlink

Security Advisory

Date Severity Title
about 13 years normal Linux Kernel: Multiple information leaks
over 13 years high Linux Kernel: Multiple DoS and permission vulnerabilities
over 13 years high Linux Kernel: Remote DoS vulnerability with IPTables TCP Handling
over 13 years high Linux Kernel: Multiple vulnerabilities
over 13 years high Linux kernel do_mremap local privilege escalation vulnerability
almost 14 years normal Updated kernel packages fix the AMD64 ptrace vulnerability
almost 14 years high Linux kernel do_mremap() local privilege escalation vulnerability

Also available in: Atom

Thank you!